<?php
/**
 * MyBB 1.4
 * Copyright  2008 MyBB Group, All Rights Reserved
 *
 * Website: http://www.mybboard.net
 * License: http://www.mybboard.net/about/license
 *
 * $Id: hello.php 4304 2009-01-02 01:11:56Z chris $
 */
 
// Disallow direct access to this file for security reasons
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

function redirecthits_info()
{
	/**
	 * Array of information about the plugin.
	 * name: The name of the plugin
	 * description: Description of what the plugin does
	 * website: The website the plugin is maintained at (Optional)
	 * author: The name of the author of the plugin
	 * authorsite: The URL to the website of the author (Optional)
	 * version: The version number of the plugin
	 * guid: Unique ID issued by the MyBB Mods site for version checking
	 * compatibility: A CSV list of MyBB versions supported. Ex, "121,123", "12*". Wildcards supported.
	 */
	return array(
		"name"			=> "Redirect URL Hit Counter",
		"description"	=> "A plugin that counts the hits a redirect forum gets.",
		"website"		=> "http://mybb.ithium.net",
		"author"		=> "MyBB Plus",
		"authorsite"	=> "http://mybb.ithium.net",
		"version"		=> "1.0",
		"guid" 			=> "",
		"compatibility" => "14*"
	);
}
function redirecthits_activate()
{
 global $db;
// Add the extra database field for the counter
$db->query("ALTER TABLE `".TABLE_PREFIX."forums` ADD `linktohits` INT NOT NULL DEFAULT '0' AFTER `linkto`");

	//Replace the link & counter.
    $fh = fopen(MYBB_ROOT.'inc/functions_forumlist.php', "r") or cperror("Could not open file!"); //OPEN FILE
    $data = fread($fh, filesize(MYBB_ROOT.'inc/functions_forumlist.php')) or cperror("Could not read file!"); //MAKE TEMPORARY STRING
    fclose($fh); //CLOSE FILE AGAIN
    $newdata = preg_replace('#'.preg_quote('// Moderator column is not off').'#',
	
	'				if (!$forum[\'linkto\'])
			{
						$forum_url = get_forum_link($forum[\'fid\']);
			} 
			else
			{
						$forum_url = "redirect.php?fid=".$forum[\'fid\']."";
					    $lastpost = "<div style=\"text-align: center;\"><b>Redirected Hits:</b> ".$forum[\'linktohits\']."</div>";

			}',$data); //REPLACE IN STRING
    $fw = fopen(MYBB_ROOT.'inc/functions_forumlist.php', "w") or cperror('Could not open file!'); //OPEN FILE AGAIN
    $fb = fwrite($fw, $newdata) or cperror('Could not write to file'); //WRITE STRING TO FILE
    fclose($fw); //CLOSE FILE AGAIN
	
}
function redirecthits_deactivate()
{
// Add the extra database field for the counter
global $db;
$db->query("ALTER TABLE `".TABLE_PREFIX."forums` DROP `linktohits`");


// Rebuild Default Code.

	//Replace the link & counter.
    $fh = fopen(MYBB_ROOT.'inc/functions_forumlist.php', "r") or cperror("Could not open file!"); //OPEN FILE
    $data = fread($fh, filesize(MYBB_ROOT.'inc/functions_forumlist.php')) or cperror("Could not read file!"); //MAKE TEMPORARY STRING
    fclose($fh); //CLOSE FILE AGAIN
    $newdata = preg_replace('#'.preg_quote('				if (!$forum[\'linkto\'])
			{
						$forum_url = get_forum_link($forum[\'fid\']);
			} 
			else
			{
						$forum_url = "redirect.php?fid=".$forum[\'fid\']."";
					    $lastpost = "<div style=\"text-align: center;\"><b>Redirected Hits:</b> ".$forum[\'linktohits\']."</div>";

			}').'#',
	
	'// Moderator column is not off',$data); //REPLACE IN STRING
    $fw = fopen(MYBB_ROOT.'inc/functions_forumlist.php', "w") or cperror('Could not open file!'); //OPEN FILE AGAIN
    $fb = fwrite($fw, $newdata) or cperror('Could not write to file'); //WRITE STRING TO FILE
    fclose($fw); //CLOSE FILE AGAIN

}

?>